#pragma once
#include "Move.h"

/// <summary>
/// 着手可能な手一覧
/// 実際局面では着手可能な手が30手を超える局面は確認できていない。
/// 自由に石を配置する場合でも着手可能な手は34手以下のになる。
/// </summary>
struct MoveSet
{

	/// <summary>
	/// The count
	/// 有効な手の数
	/// </summary>
	int count;
	
	/// <summary>
	/// The data of Move
	/// 実際の手
	/// </summary>
	Move data[34];

	bool isEmpty() {
		return count == 0;
	}
};

